"""
 functions to match a bunch of fragment descriptors from a file

No user-servicable parts inside.  ;-)

"""
from __future__ import annotations
import os as os
from rdkit import Chem
from rdkit import RDConfig
__all__ = ['Chem', 'RDConfig', 'defaultPatternFileName', 'fn', 'fns', 'name', 'os']
def _CountMatches(mol, patt, unique = True):
    ...
def _LoadPatterns(fileName = None):
    ...
defaultPatternFileName: str = 'C:/rdkit/build/temp.win-amd64-cpython-310/Release/rdkit_install\\share/RDKit\\Data\\FragmentDescriptors.csv'
fn = None
fns: list  # value = [('fr_C_O', <function _LoadPatterns.<locals>.<lambda> at 0x000001CA0A0C49D0>), ('fr_C_O_noCOO', <function _LoadPatterns.<locals>.<lambda> at 0x000001CA0A0C4A60>), ('fr_Al_OH', <function _LoadPatterns.<locals>.<lambda> at 0x000001CA0A0C4AF0>), ('fr_Ar_OH', <function _LoadPatterns.<locals>.<lambda> at 0x000001CA0A0C4B80>), ('fr_methoxy', <function _LoadPatterns.<locals>.<lambda> at 0x000001CA0A0C4C10>), ('fr_oxime', <function _LoadPatterns.<locals>.<lambda> at 0x000001CA0A0C4CA0>), ('fr_ester', <function _LoadPatterns.<locals>.<lambda> at 0x000001CA0A0C4D30>), ('fr_Al_COO', <function _LoadPatterns.<locals>.<lambda> at 0x000001CA0A0C4DC0>), ('fr_Ar_COO', <function _LoadPatterns.<locals>.<lambda> at 0x000001CA0A0C4E50>), ('fr_COO', <function _LoadPatterns.<locals>.<lambda> at 0x000001CA0A0C4EE0>), ('fr_COO2', <function _LoadPatterns.<locals>.<lambda> at 0x000001CA0A0C4F70>), ('fr_ketone', <function _LoadPatterns.<locals>.<lambda> at 0x000001CA0A0C5000>), ('fr_ether', <function _LoadPatterns.<locals>.<lambda> at 0x000001CA0A0C5090>), ('fr_phenol', <function _LoadPatterns.<locals>.<lambda> at 0x000001CA0A0C5120>), ('fr_aldehyde', <function _LoadPatterns.<locals>.<lambda> at 0x000001CA0A0C51B0>), ('fr_quatN', <function _LoadPatterns.<locals>.<lambda> at 0x000001CA0A0C5240>), ('fr_NH2', <function _LoadPatterns.<locals>.<lambda> at 0x000001CA0A0C52D0>), ('fr_NH1', <function _LoadPatterns.<locals>.<lambda> at 0x000001CA0A0C5360>), ('fr_NH0', <function _LoadPatterns.<locals>.<lambda> at 0x000001CA0A0C53F0>), ('fr_Ar_N', <function _LoadPatterns.<locals>.<lambda> at 0x000001CA0A0C5480>), ('fr_Ar_NH', <function _LoadPatterns.<locals>.<lambda> at 0x000001CA0A0C5510>), ('fr_aniline', <function _LoadPatterns.<locals>.<lambda> at 0x000001CA0A0C55A0>), ('fr_Imine', <function _LoadPatterns.<locals>.<lambda> at 0x000001CA0A0C5630>), ('fr_nitrile', <function _LoadPatterns.<locals>.<lambda> at 0x000001CA0A0C56C0>), ('fr_hdrzine', <function _LoadPatterns.<locals>.<lambda> at 0x000001CA0A0C57E0>), ('fr_hdrzone', <function _LoadPatterns.<locals>.<lambda> at 0x000001CA0A0C5750>), ('fr_nitroso', <function _LoadPatterns.<locals>.<lambda> at 0x000001CA0A0C5870>), ('fr_N_O', <function _LoadPatterns.<locals>.<lambda> at 0x000001CA0A0C5900>), ('fr_nitro', <function _LoadPatterns.<locals>.<lambda> at 0x000001CA0A0C5990>), ('fr_azo', <function _LoadPatterns.<locals>.<lambda> at 0x000001CA0A0C5A20>), ('fr_diazo', <function _LoadPatterns.<locals>.<lambda> at 0x000001CA0A0C5AB0>), ('fr_azide', <function _LoadPatterns.<locals>.<lambda> at 0x000001CA0A0C5B40>), ('fr_amide', <function _LoadPatterns.<locals>.<lambda> at 0x000001CA0A0C5BD0>), ('fr_priamide', <function _LoadPatterns.<locals>.<lambda> at 0x000001CA0A0C5C60>), ('fr_amidine', <function _LoadPatterns.<locals>.<lambda> at 0x000001CA0A0C5CF0>), ('fr_guanido', <function _LoadPatterns.<locals>.<lambda> at 0x000001CA0A0C5D80>), ('fr_Nhpyrrole', <function _LoadPatterns.<locals>.<lambda> at 0x000001CA0A0C5E10>), ('fr_imide', <function _LoadPatterns.<locals>.<lambda> at 0x000001CA0A0C5EA0>), ('fr_isocyan', <function _LoadPatterns.<locals>.<lambda> at 0x000001CA0A0C5F30>), ('fr_isothiocyan', <function _LoadPatterns.<locals>.<lambda> at 0x000001CA0A0C5FC0>), ('fr_thiocyan', <function _LoadPatterns.<locals>.<lambda> at 0x000001CA0A0C6050>), ('fr_halogen', <function _LoadPatterns.<locals>.<lambda> at 0x000001CA0A0C60E0>), ('fr_alkyl_halide', <function _LoadPatterns.<locals>.<lambda> at 0x000001CA0A0C6170>), ('fr_sulfide', <function _LoadPatterns.<locals>.<lambda> at 0x000001CA0A0C6200>), ('fr_SH', <function _LoadPatterns.<locals>.<lambda> at 0x000001CA0A0C6290>), ('fr_C_S', <function _LoadPatterns.<locals>.<lambda> at 0x000001CA0A0C6320>), ('fr_sulfone', <function _LoadPatterns.<locals>.<lambda> at 0x000001CA0A0C63B0>), ('fr_sulfonamd', <function _LoadPatterns.<locals>.<lambda> at 0x000001CA0A0C6440>), ('fr_prisulfonamd', <function _LoadPatterns.<locals>.<lambda> at 0x000001CA0A0C64D0>), ('fr_barbitur', <function _LoadPatterns.<locals>.<lambda> at 0x000001CA0A0C6560>), ('fr_urea', <function _LoadPatterns.<locals>.<lambda> at 0x000001CA0A0C65F0>), ('fr_term_acetylene', <function _LoadPatterns.<locals>.<lambda> at 0x000001CA0A0C6680>), ('fr_imidazole', <function _LoadPatterns.<locals>.<lambda> at 0x000001CA0A0C6710>), ('fr_furan', <function _LoadPatterns.<locals>.<lambda> at 0x000001CA0A0C67A0>), ('fr_thiophene', <function _LoadPatterns.<locals>.<lambda> at 0x000001CA0A0C6830>), ('fr_thiazole', <function _LoadPatterns.<locals>.<lambda> at 0x000001CA0A0C68C0>), ('fr_oxazole', <function _LoadPatterns.<locals>.<lambda> at 0x000001CA0A0C6950>), ('fr_pyridine', <function _LoadPatterns.<locals>.<lambda> at 0x000001CA0A0C69E0>), ('fr_piperdine', <function _LoadPatterns.<locals>.<lambda> at 0x000001CA0A0C6A70>), ('fr_piperzine', <function _LoadPatterns.<locals>.<lambda> at 0x000001CA0A0C6B00>), ('fr_morpholine', <function _LoadPatterns.<locals>.<lambda> at 0x000001CA0A0C6B90>), ('fr_lactam', <function _LoadPatterns.<locals>.<lambda> at 0x000001CA0A0C6C20>), ('fr_lactone', <function _LoadPatterns.<locals>.<lambda> at 0x000001CA0A0C6CB0>), ('fr_tetrazole', <function _LoadPatterns.<locals>.<lambda> at 0x000001CA0A0C6D40>), ('fr_epoxide', <function _LoadPatterns.<locals>.<lambda> at 0x000001CA0A0C6DD0>), ('fr_unbrch_alkane', <function _LoadPatterns.<locals>.<lambda> at 0x000001CA0A0C6F80>), ('fr_bicyclic', <function _LoadPatterns.<locals>.<lambda> at 0x000001CA0A0C6E60>), ('fr_benzene', <function _LoadPatterns.<locals>.<lambda> at 0x000001CA0A0C7010>), ('fr_phos_acid', <function _LoadPatterns.<locals>.<lambda> at 0x000001CA0A0C70A0>), ('fr_phos_ester', <function _LoadPatterns.<locals>.<lambda> at 0x000001CA0A0C7130>), ('fr_nitro_arom', <function _LoadPatterns.<locals>.<lambda> at 0x000001CA0A0C71C0>), ('fr_nitro_arom_nonortho', <function _LoadPatterns.<locals>.<lambda> at 0x000001CA0A0C7250>), ('fr_dihydropyridine', <function _LoadPatterns.<locals>.<lambda> at 0x000001CA0A0C7370>), ('fr_phenol_noOrthoHbond', <function _LoadPatterns.<locals>.<lambda> at 0x000001CA0A0C72E0>), ('fr_Al_OH_noTert', <function _LoadPatterns.<locals>.<lambda> at 0x000001CA0A0C7400>), ('fr_benzodiazepine', <function _LoadPatterns.<locals>.<lambda> at 0x000001CA0A0C7490>), ('fr_para_hydroxylation', <function _LoadPatterns.<locals>.<lambda> at 0x000001CA0A0C7520>), ('fr_allylic_oxid', <function _LoadPatterns.<locals>.<lambda> at 0x000001CA0A0C7640>), ('fr_aryl_methyl', <function _LoadPatterns.<locals>.<lambda> at 0x000001CA0A0C75B0>), ('fr_Ndealkylation1', <function _LoadPatterns.<locals>.<lambda> at 0x000001CA0A0C76D0>), ('fr_Ndealkylation2', <function _LoadPatterns.<locals>.<lambda> at 0x000001CA0A0C7760>), ('fr_alkyl_carbamate', <function _LoadPatterns.<locals>.<lambda> at 0x000001CA0A0C77F0>), ('fr_ketone_Topliss', <function _LoadPatterns.<locals>.<lambda> at 0x000001CA0A0C7880>), ('fr_ArN', <function _LoadPatterns.<locals>.<lambda> at 0x000001CA0A0C7910>), ('fr_HOCCN', <function _LoadPatterns.<locals>.<lambda> at 0x000001CA0A0C79A0>)]
name: str = 'fr_HOCCN'
